#ifndef _Handle_PTopoDS_TWire1_HeaderFile
#define _Handle_PTopoDS_TWire1_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_TShape1_HeaderFile
#include <Handle_PTopoDS_TShape1.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_TShape1);
class PTopoDS_TWire1;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PTopoDS_TWire1);

class Handle(PTopoDS_TWire1) : public Handle(PTopoDS_TShape1) {
  public:

    Handle(PTopoDS_TWire1)():Handle(PTopoDS_TShape1)() {} 
    Handle(PTopoDS_TWire1)(const Handle(PTopoDS_TWire1)& aHandle) : Handle(PTopoDS_TShape1)(aHandle) 
     {
     }

    Handle(PTopoDS_TWire1)(const PTopoDS_TWire1* anItem) : Handle(PTopoDS_TShape1)((PTopoDS_TShape1 *)anItem) 
     {
     }

    Handle(PTopoDS_TWire1)& operator=(const Handle(PTopoDS_TWire1)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PTopoDS_TWire1)& operator=(const PTopoDS_TWire1* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PTopoDS_TWire1* operator->() const 
     {
      return (PTopoDS_TWire1 *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PTopoDS_TWire1) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
